<?
include("../fnc.php");
enlinea_alumno();

  $path=dec($a);
  $tmparc=explode("/",$path);
  $narch=$tmparc[3];
  $enlace = $path;
//  echo $enlace;

  $id_ar=dec($idf);
  $id_cu=dec($cid);

  $qins=mysql_query("insert into log_downloads
                     set usuario='$uuser',
                     archivo='$narch',
                     fecha='$fecha',
                     hora='$hora',
                     curso='$id_cu',
                     tipo_usr='Alumno',
                     ip='$rmhost'");

  $upd=mysql_query("update archivos set descargas=descargas+1 where id = $id_ar");

header ("Content-Disposition: attachment; filename=".$narch."\n\n");
header ("Content-Type: application/octet-stream");
header ("Content-Length: ".filesize($enlace));
@readfile($enlace);
?>